Subject: Re: [idn] Re: Is space allowed in a hostname?

From: liana Ye <[email-masked]>
Date: Mon, 8 Jul 2002 07:55:06 -0700

> 
> NFKC is, IMO, guilty of one severe sin, and it is the one I
> believe Simon was pointing out (but it isn't a new observation
> either): it is not consistent when examined on a language by
> language and code-point by code-point basis.  If a single
> meta-rule could be made up that would identify the "right"
> choice for IETF and DNS purposes, it would handle some sets of
> characters consistently with the rule and some inconsistently.
> But, again, no better solution is on the table, and, in all
> likelihood, no objectively better solution is possible: no
> single, simple, statement can be made that accurately predicts
> whether characters are duplicated or unified in the
> Unicode/10646 code set itself.  The allocation decisions may
> well have been made rationally, but enough different rules were
> applied, and generic enough rules were applied, that it would be
> unreasonable to expect complete consistency with  any simple
> rule, much less an IETF-optimized one.
> 
> It is all going to come down to arbitrary choices at some stage.
> Some of those arbitrary choices are going to irritate some
> groups of people and seem harmless to others.  If they were made
> a different way, different people would be irritated.  If we
> were to apply the test of whether NFKC (and many of the other
> stringprep/ nameprep decisions) made everyone who had studied it
> carefully about equally unhappy, it would almost certainly pass
> that test.
> 

This is a general case when dealing with characters.  Any rule can 
be appliable only to a subset of characters.  Simplification will 
result to unhappy groups.  If the group number  is small, then 
it can be brushed off.  But the group number is large, it is
supported at this moment by the CJK communities.  

The CJK community dealing with this issue by table lookup. 
Please reconsider their working experiences.

Liana 

________________________________________________________________
GET INTERNET ACCESS FROM JUNO!
Juno offers FREE or PREMIUM Internet access for less!
Join Juno today!  For your FREE software, visit:
http://dl.www.juno.com/get/web/.